- Home
- API Enriched
- Sites
- config
- List Local Kube Configs.
List Local Kube Configs.
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/sites/example/local-kubeconfigs';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/sites/example/local-kubeconfigs \ --header 'Authorization: <Authorization>'Returns list of all local active kubeconfig minted for this site.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Namespace
x-required K8s Cluster namespace.
Name
x-required K8s Cluster name.
Responses
Section titled “Responses”A successful response.
List kubeconfig response.
object
List of kubeconfig items.
Each item of credential list request.
object
Create time of API credential.
Expiry time of credential.
Name of this credential.
UUID of API credential object.
User email of user that requested credential .
Examplegenerated
{ "items": [ { "create_timestamp": "2026-04-15T12:00:00Z", "expiry_timestamp": "2026-04-15T12:00:00Z", "name": "example", "uid": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "user_email": "example" } ]}Returned when operation is not authorized.
Examplegenerated
exampleReturned when there is no permission to access resource.
Examplegenerated
exampleReturned when resource is not found.
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Examplegenerated
exampleReturned when server encountered an error in processing API.
Examplegenerated
exampleReturned when service is unavailable temporarily.
Examplegenerated
exampleReturned when server timed out processing request.
Examplegenerated
example